/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.CategoriaRutaExcecaoDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaCtrl;
import com.rjconsultores.ventaboletos.entidad.CategoriaRutaExcecao;

@Repository("categoriaRutaExcecaoDAO")

public class CategoriaRutaExcecaoHibernateDAO extends GenericHibernateDAO<CategoriaRutaExcecao, Integer>   implements CategoriaRutaExcecaoDAO {

    @Autowired
    public CategoriaRutaExcecaoHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public CategoriaRutaExcecao busquedaPorCategoriaCtrl(CategoriaCtrl categoriaCtrl) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("categoriaCtrl", categoriaCtrl));

        return (CategoriaRutaExcecao) c.uniqueResult();
    }

    @Override
    public List<CategoriaRutaExcecao> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }
}
